Package org.apache.ignite.internal.managers.deployment

## Class GridDeploymentMetadata

- java.lang.Object
- - org.apache.ignite.internal.managers.deployment.GridDeploymentMetadata

    public class GridDeploymentMetadata
    extends Object

Deployment metadata.

### Method Summary

All Methods Instance Methods Concrete Methods
`ClassLoader` `classLoader()`
`void` `classLoader​(ClassLoader clsLdr)`
`void` `classLoaderId​(IgniteUuid clsLdrId)` Sets property clsLdrId.
`IgnitePredicate<ClusterNode>` `nodeFilter()`
`void` `nodeFilter​(IgnitePredicate<ClusterNode> nodeFilter)`
`ClassLoader` `parentLoader()` Gets parent loader.
`void` `parentLoader​(ClassLoader parentLdr)` Sets parent loader.
`Map<UUID,​IgniteUuid>` `participants()`
`void` `participants​(Map<UUID,​IgniteUuid> participants)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### classLoaderId

    public void classLoaderId​(IgniteUuid clsLdrId)

Sets property clsLdrId.

Parameters:
  `clsLdrId` - Property clsLdrId.

#### parentLoader

    public ClassLoader parentLoader()

Gets parent loader.

Returns:
  Parent loader.

#### parentLoader

    public void parentLoader​(ClassLoader parentLdr)

Sets parent loader.

Parameters:
  `parentLdr` - Parent loader.

#### participants

    public Map<UUID,​IgniteUuid> participants()

Returns:
  Node participants.

#### participants

    public void participants​(Map<UUID,​IgniteUuid> participants)

Parameters:
  `participants` - Node participants.

#### classLoader

    public ClassLoader classLoader()

Returns:
  Class loader.

#### classLoader

    public void classLoader​(ClassLoader clsLdr)

Parameters:
  `clsLdr` - Class loader.

#### nodeFilter

    public void nodeFilter​(IgnitePredicate<ClusterNode> nodeFilter)

Parameters:
  `nodeFilter` - Node filter.

#### nodeFilter

    public IgnitePredicate<ClusterNode> nodeFilter()

Returns:
  Node filter.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`